## Errors

Errors — Gck Errors and error codes.

## Functions

const gchar * | gck_message_from_rv ()

## Types and Values

#define | GCK_VENDOR_CODE
#define | GCK_ERROR

## Description

Errors are returned as GError structures. The code member of GError contains the raw PKCS11 CK_RV result value.

## Functions

### gck_message_from_rv ()

    const gchar *
    gck_message_from_rv (gulong rv);

Get a message for a PKCS#11 return value or error code. Do not pass CKR_OK or other such non errors to this function.

#### Parameters

rv | The PKCS#11 return value to get a message for. |

#### Returns

The user readable message.

## Types and Values

### GCK_VENDOR_CODE

    #define             GCK_VENDOR_CODE                         0x47434B00 /* GCK */

Custom PKCS11 errors that originate from the gck library, are based at this error code.

### GCK_ERROR

    #define             GCK_ERROR                               (gck_error_get_quark ())

The error domain for gck library errors.